import { UMB_PROPERTY_TYPE_CONTEXT } from './content-type-design-editor-property.context-token.js';
import { UmbContextBase } from '../../../../../../libs/class-api/index.js';
import { UmbStringState } from '../../../../../../libs/observable-api/index.js';
export class UmbPropertyTypeContext extends UmbContextBase {
    #alias;
    #label;
    constructor(host) {
        super(host, UMB_PROPERTY_TYPE_CONTEXT);
        this.#alias = new UmbStringState(undefined);
        this.alias = this.#alias.asObservable();
        this.#label = new UmbStringState(undefined);
        this.label = this.#label.asObservable();
    }
    setAlias(alias) {
        this.#alias.setValue(alias);
    }
    getAlias() {
        return this.#alias.getValue();
    }
    setLabel(label) {
        this.#label.setValue(label);
    }
    getLabel() {
        return this.#label.getValue();
    }
    destroy() {
        super.destroy();
        this.#alias.destroy();
        this.#label.destroy();
    }
}
